Loading...
Searching...
No Matches
_ocsd_demux_stats Struct Reference
OpenCSD Library : Interfaces

`#include <ocsd_if_types.h>`

## Public Attributes

uint64_t | valid_id_bytes
uint64_t | no_id_bytes
uint64_t | reserved_id_bytes
uint64_t | unknown_id_bytes
uint64_t | frame_bytes

## Detailed Description

Definition at line 647 of file ocsd_if_types.h.

## Member Data Documentation

## frame_bytes

uint64_t _ocsd_demux_stats::frame_bytes

number of non-data bytes used for frame de-mux - ID bytes, sync etc

Definition at line 652 of file ocsd_if_types.h.

## no_id_bytes

uint64_t _ocsd_demux_stats::no_id_bytes

number of bytes associated with an ID that has no decoder

Definition at line 649 of file ocsd_if_types.h.

## reserved_id_bytes

uint64_t _ocsd_demux_stats::reserved_id_bytes

number of bytes associated with reserved IDs

Definition at line 650 of file ocsd_if_types.h.

## unknown_id_bytes

uint64_t _ocsd_demux_stats::unknown_id_bytes

bytes processed before ID seen in input frames

Definition at line 651 of file ocsd_if_types.h.

## valid_id_bytes

uint64_t _ocsd_demux_stats::valid_id_bytes

number of bytes associated with an ID that has a registered decoder

Definition at line 648 of file ocsd_if_types.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-16huoW/libopencsd-1.4.1/decoder/include/opencsd/ocsd_if_types.h